package data_struct

import "fmt"

type MyData struct {
	Name  string
	Phone string
}

func NewData(name, phone string) *MyData {
	return &MyData{
		Name:  name,
		Phone: phone,
	}
}

func (d *MyData) ToString() string {
	return fmt.Sprintf("Имя: %s, Телефон: %s", d.Name, d.Phone)
}

func PrintList(list []MyData) {
	for _, el := range list {
		fmt.Printf("%s\n", el.ToString())
	}
}
